"use strict";var _a,_b,_c;Object.defineProperty(exports,"__esModule",{value:!0}),exports.DatabaseProxy=exports.ProxyTarget=exports.SessionPinningFilter=void 0;const jsiiDeprecationWarnings=require("../../.warnings.jsii.js"),JSII_RTTI_SYMBOL_1=Symbol.for("jsii.rtti"),ec2=require("../../aws-ec2"),iam=require("../../aws-iam"),secretsmanager=require("../../aws-secretsmanager"),cdk=require("../../core"),util_1=require("./private/util"),rds_generated_1=require("./rds.generated");class SessionPinningFilter{constructor(filterName){this.filterName=filterName}static of(filterName){return new SessionPinningFilter(filterName)}}exports.SessionPinningFilter=SessionPinningFilter,_a=JSII_RTTI_SYMBOL_1,SessionPinningFilter[_a]={fqn:"aws-cdk-lib.aws_rds.SessionPinningFilter",version:"2.9.0"},SessionPinningFilter.EXCLUDE_VARIABLE_SETS=new SessionPinningFilter("EXCLUDE_VARIABLE_SETS");class ProxyTarget{constructor(dbInstance,dbCluster){this.dbInstance=dbInstance,this.dbCluster=dbCluster}static fromInstance(instance){return jsiiDeprecationWarnings.aws_cdk_lib_aws_rds_IDatabaseInstance(instance),new ProxyTarget(instance,void 0)}static fromCluster(cluster){return jsiiDeprecationWarnings.aws_cdk_lib_aws_rds_IDatabaseCluster(cluster),new ProxyTarget(void 0,cluster)}bind(proxy){var _d,_e,_f,_g,_h,_j;jsiiDeprecationWarnings.aws_cdk_lib_aws_rds_DatabaseProxy(proxy);const engine=(_e=(_d=this.dbInstance)===null||_d===void 0?void 0:_d.engine)!==null&&_e!==void 0?_e:(_f=this.dbCluster)===null||_f===void 0?void 0:_f.engine;if(!engine){const errorResource=(_g=this.dbCluster)!==null&&_g!==void 0?_g:this.dbInstance;throw new Error(`Could not determine engine for proxy target '${errorResource==null?void 0:errorResource.node.path}'. Please provide it explicitly when importing the resource`)}const engineFamily=engine.engineFamily;if(!engineFamily)throw new Error(`Engine '${util_1.engineDescription(engine)}' does not support proxies`);return(_h=this.dbCluster)===null||_h===void 0||_h.connections.allowDefaultPortFrom(proxy,"Allow connections to the database Cluster from the Proxy"),(_j=this.dbInstance)===null||_j===void 0||_j.connections.allowDefaultPortFrom(proxy,"Allow connections to the database Instance from the Proxy"),{engineFamily,dbClusters:this.dbCluster?[this.dbCluster]:void 0,dbInstances:this.dbInstance?[this.dbInstance]:void 0}}}exports.ProxyTarget=ProxyTarget,_b=JSII_RTTI_SYMBOL_1,ProxyTarget[_b]={fqn:"aws-cdk-lib.aws_rds.ProxyTarget",version:"2.9.0"};class DatabaseProxyBase extends cdk.Resource{grantConnect(grantee,dbUser){if(!dbUser)throw new Error("For imported Database Proxies, the dbUser is required in grantConnect()");const scopeStack=cdk.Stack.of(this),proxyGeneratedId=scopeStack.splitArn(this.dbProxyArn,cdk.ArnFormat.COLON_RESOURCE_NAME).resourceName,userArn=scopeStack.formatArn({service:"rds-db",resource:"dbuser",resourceName:`${proxyGeneratedId}/${dbUser}`,arnFormat:cdk.ArnFormat.COLON_RESOURCE_NAME});return iam.Grant.addToPrincipal({grantee,actions:["rds-db:connect"],resourceArns:[userArn]})}}class DatabaseProxy extends DatabaseProxyBase{constructor(scope,id,props){var _d,_e,_f,_g;super(scope,id,{physicalName:props.dbProxyName||id});jsiiDeprecationWarnings.aws_cdk_lib_aws_rds_DatabaseProxyProps(props);const role=props.role||new iam.Role(this,"IAMRole",{assumedBy:new iam.ServicePrincipal("rds.amazonaws.com")});for(const secret of props.secrets)secret.grantRead(role);const securityGroups=(_d=props.securityGroups)!==null&&_d!==void 0?_d:[new ec2.SecurityGroup(this,"ProxySecurityGroup",{description:"SecurityGroup for Database Proxy",vpc:props.vpc})];this.connections=new ec2.Connections({securityGroups});const bindResult=props.proxyTarget.bind(this);if(props.secrets.length<1)throw new Error("One or more secrets are required.");this.secrets=props.secrets,this.resource=new rds_generated_1.CfnDBProxy(this,"Resource",{auth:props.secrets.map(_=>({authScheme:"SECRETS",iamAuth:props.iamAuth?"REQUIRED":"DISABLED",secretArn:_.secretArn})),dbProxyName:this.physicalName,debugLogging:props.debugLogging,engineFamily:bindResult.engineFamily,idleClientTimeout:(_e=props.idleClientTimeout)===null||_e===void 0?void 0:_e.toSeconds(),requireTls:(_f=props.requireTLS)!==null&&_f!==void 0?_f:!0,roleArn:role.roleArn,vpcSecurityGroupIds:cdk.Lazy.list({produce:()=>this.connections.securityGroups.map(_=>_.securityGroupId)}),vpcSubnetIds:props.vpc.selectSubnets(props.vpcSubnets).subnetIds}),this.dbProxyName=this.resource.ref,this.dbProxyArn=this.resource.attrDbProxyArn,this.endpoint=this.resource.attrEndpoint;let dbInstanceIdentifiers;bindResult.dbInstances&&(dbInstanceIdentifiers=[bindResult.dbInstances[0].instanceIdentifier]);let dbClusterIdentifiers;if(bindResult.dbClusters&&(dbClusterIdentifiers=bindResult.dbClusters.map(c=>c.clusterIdentifier)),!!dbInstanceIdentifiers&&!!dbClusterIdentifiers)throw new Error("Cannot specify both dbInstanceIdentifiers and dbClusterIdentifiers");const proxyTargetGroup=new rds_generated_1.CfnDBProxyTargetGroup(this,"ProxyTargetGroup",{targetGroupName:"default",dbProxyName:this.dbProxyName,dbInstanceIdentifiers,dbClusterIdentifiers,connectionPoolConfigurationInfo:toConnectionPoolConfigurationInfo(props)});(_g=bindResult.dbClusters)===null||_g===void 0||_g.forEach(c=>proxyTargetGroup.node.addDependency(c))}static fromDatabaseProxyAttributes(scope,id,attrs){jsiiDeprecationWarnings.aws_cdk_lib_aws_rds_DatabaseProxyAttributes(attrs);class Import extends DatabaseProxyBase{constructor(){super(...arguments);this.dbProxyName=attrs.dbProxyName,this.dbProxyArn=attrs.dbProxyArn,this.endpoint=attrs.endpoint}}return new Import(scope,id)}asSecretAttachmentTarget(){return{targetId:this.dbProxyName,targetType:secretsmanager.AttachmentTargetType.RDS_DB_PROXY}}grantConnect(grantee,dbUser){if(jsiiDeprecationWarnings.aws_cdk_lib_aws_iam_IGrantable(grantee),!dbUser){if(this.secrets.length>1)throw new Error("When the Proxy contains multiple Secrets, you must pass a dbUser explicitly to grantConnect()");dbUser=this.secrets[0].secretValueFromJson("username").toString()}return super.grantConnect(grantee,dbUser)}}exports.DatabaseProxy=DatabaseProxy,_c=JSII_RTTI_SYMBOL_1,DatabaseProxy[_c]={fqn:"aws-cdk-lib.aws_rds.DatabaseProxy",version:"2.9.0"};function toConnectionPoolConfigurationInfo(props){var _d,_e;return{connectionBorrowTimeout:(_d=props.borrowTimeout)===null||_d===void 0?void 0:_d.toSeconds(),initQuery:props.initQuery,maxConnectionsPercent:props.maxConnectionsPercent,maxIdleConnectionsPercent:props.maxIdleConnectionsPercent,sessionPinningFilters:(_e=props.sessionPinningFilters)===null||_e===void 0?void 0:_e.map(_=>_.filterName)}}
//# sourceMappingURL=proxy.js.map
