"use strict";var _a;Object.defineProperty(exports,"__esModule",{value:!0}),exports.EncryptionOption=exports.AthenaStartQueryExecution=void 0;const jsiiDeprecationWarnings=require("../../../.warnings.jsii.js"),JSII_RTTI_SYMBOL_1=Symbol.for("jsii.rtti"),iam=require("../../../aws-iam"),sfn=require("../../../aws-stepfunctions"),cdk=require("../../../core"),task_utils_1=require("../private/task-utils");class AthenaStartQueryExecution extends sfn.TaskStateBase{constructor(scope,id,props){var _b;super(scope,id,props);this.props=props,jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_tasks_AthenaStartQueryExecutionProps(props),this.integrationPattern=(_b=props.integrationPattern)!==null&&_b!==void 0?_b:sfn.IntegrationPattern.REQUEST_RESPONSE,task_utils_1.validatePatternSupported(this.integrationPattern,AthenaStartQueryExecution.SUPPORTED_INTEGRATION_PATTERNS),this.taskPolicies=this.createPolicyStatements()}createPolicyStatements(){var _b,_c,_d,_e,_f,_g,_h,_j,_k,_l,_m,_o,_p,_q,_r;const policyStatements=[new iam.PolicyStatement({resources:[cdk.Stack.of(this).formatArn({service:"athena",resource:"datacatalog",resourceName:(_c=(_b=this.props.queryExecutionContext)===null||_b===void 0?void 0:_b.catalogName)!==null&&_c!==void 0?_c:"AwsDataCatalog"}),cdk.Stack.of(this).formatArn({service:"athena",resource:"workgroup",resourceName:(_d=this.props.workGroup)!==null&&_d!==void 0?_d:"primary"})],actions:["athena:getDataCatalog","athena:startQueryExecution","athena:getQueryExecution"]})];return policyStatements.push(new iam.PolicyStatement({actions:["s3:CreateBucket","s3:ListBucket","s3:GetBucketLocation","s3:GetObject"],resources:["*"]})),policyStatements.push(new iam.PolicyStatement({actions:["s3:AbortMultipartUpload","s3:ListBucketMultipartUploads","s3:ListMultipartUploadParts","s3:PutObject"],resources:[((_f=(_e=this.props.resultConfiguration)===null||_e===void 0?void 0:_e.outputLocation)===null||_f===void 0?void 0:_f.bucketName)?`arn:aws:s3:::${(_h=(_g=this.props.resultConfiguration)===null||_g===void 0?void 0:_g.outputLocation)===null||_h===void 0?void 0:_h.bucketName}/${(_k=(_j=this.props.resultConfiguration)===null||_j===void 0?void 0:_j.outputLocation)===null||_k===void 0?void 0:_k.objectKey}/*`:"*"]})),policyStatements.push(new iam.PolicyStatement({actions:["lakeformation:GetDataAccess"],resources:["*"]})),policyStatements.push(new iam.PolicyStatement({actions:["glue:BatchCreatePartition","glue:BatchDeletePartition","glue:BatchDeleteTable","glue:BatchGetPartition","glue:CreateDatabase","glue:CreatePartition","glue:CreateTable","glue:DeleteDatabase","glue:DeletePartition","glue:DeleteTable","glue:GetDatabase","glue:GetDatabases","glue:GetPartition","glue:GetPartitions","glue:GetTable","glue:GetTables","glue:UpdateDatabase","glue:UpdatePartition","glue:UpdateTable"],resources:[cdk.Stack.of(this).formatArn({service:"glue",resource:"catalog"}),cdk.Stack.of(this).formatArn({service:"glue",resource:"database",resourceName:(_m=(_l=this.props.queryExecutionContext)===null||_l===void 0?void 0:_l.databaseName)!==null&&_m!==void 0?_m:"default"}),cdk.Stack.of(this).formatArn({service:"glue",resource:"table",resourceName:((_p=(_o=this.props.queryExecutionContext)===null||_o===void 0?void 0:_o.databaseName)!==null&&_p!==void 0?_p:"default")+"/*"}),cdk.Stack.of(this).formatArn({service:"glue",resource:"userDefinedFunction",resourceName:((_r=(_q=this.props.queryExecutionContext)===null||_q===void 0?void 0:_q.databaseName)!==null&&_r!==void 0?_r:"default")+"/*"})]})),policyStatements}renderEncryption(){var _b;return((_b=this.props.resultConfiguration)===null||_b===void 0?void 0:_b.encryptionConfiguration)!==void 0?{EncryptionOption:this.props.resultConfiguration.encryptionConfiguration.encryptionOption,KmsKey:this.props.resultConfiguration.encryptionConfiguration.encryptionKey}:void 0}_renderTask(){var _b,_c,_d,_e,_f,_g;return{Resource:task_utils_1.integrationResourceArn("athena","startQueryExecution",this.integrationPattern),Parameters:sfn.FieldUtils.renderObject({QueryString:this.props.queryString,ClientRequestToken:this.props.clientRequestToken,QueryExecutionContext:((_b=this.props.queryExecutionContext)===null||_b===void 0?void 0:_b.catalogName)||((_c=this.props.queryExecutionContext)===null||_c===void 0?void 0:_c.databaseName)?{Catalog:(_d=this.props.queryExecutionContext)===null||_d===void 0?void 0:_d.catalogName,Database:(_e=this.props.queryExecutionContext)===null||_e===void 0?void 0:_e.databaseName}:void 0,ResultConfiguration:{EncryptionConfiguration:this.renderEncryption(),OutputLocation:((_f=this.props.resultConfiguration)===null||_f===void 0?void 0:_f.outputLocation)?`s3://${this.props.resultConfiguration.outputLocation.bucketName}/${this.props.resultConfiguration.outputLocation.objectKey}/`:void 0},WorkGroup:(_g=this.props)===null||_g===void 0?void 0:_g.workGroup})}}}exports.AthenaStartQueryExecution=AthenaStartQueryExecution,_a=JSII_RTTI_SYMBOL_1,AthenaStartQueryExecution[_a]={fqn:"aws-cdk-lib.aws_stepfunctions_tasks.AthenaStartQueryExecution",version:"2.9.0"},AthenaStartQueryExecution.SUPPORTED_INTEGRATION_PATTERNS=[sfn.IntegrationPattern.REQUEST_RESPONSE,sfn.IntegrationPattern.RUN_JOB];var EncryptionOption;(function(EncryptionOption2){EncryptionOption2.S3_MANAGED="SSE_S3",EncryptionOption2.KMS="SSE_KMS",EncryptionOption2.CLIENT_SIDE_KMS="CSE_KMS"})(EncryptionOption=exports.EncryptionOption||(exports.EncryptionOption={}));
//# sourceMappingURL=start-query-execution.js.map
