"use strict";var _a;Object.defineProperty(exports,"__esModule",{value:!0}),exports.renderJsonPath=exports.renderList=exports.State=void 0;const jsiiDeprecationWarnings=require("../../../.warnings.jsii.js"),JSII_RTTI_SYMBOL_1=Symbol.for("jsii.rtti"),constructs_1=require("constructs"),fields_1=require("../fields"),types_1=require("../types");class State extends constructs_1.Construct{constructor(scope,id,props){super(scope,id);this.branches=[],this.retries=[],this.catches=[],this.choices=[],this.prefixes=[],this.incomingStates=[],jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_StateProps(props),this.startState=this,this.comment=props.comment,this.inputPath=props.inputPath,this.parameters=props.parameters,this.outputPath=props.outputPath,this.resultPath=props.resultPath,this.resultSelector=props.resultSelector,this.node.addValidation({validate:()=>this.validateState()})}static prefixStates(root,prefix){const queue=[root];for(;queue.length>0;){const el=queue.splice(0,1)[0];isPrefixable(el)&&el.addPrefix(prefix),queue.push(...constructs_1.Node.of(el).children)}}static findReachableStates(start,options={}){jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_State(start),jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_FindStateOptions(options);const visited=new Set,ret=new Set,queue=[start];for(;queue.length>0;){const state=queue.splice(0,1)[0];if(visited.has(state))continue;visited.add(state);const outgoing=state.outgoingTransitions(options);queue.push(...outgoing),ret.add(state)}return Array.from(ret)}static findReachableEndStates(start,options={}){jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_State(start),jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_FindStateOptions(options);const visited=new Set,ret=new Set,queue=[start];for(;queue.length>0;){const state=queue.splice(0,1)[0];if(visited.has(state))continue;visited.add(state);const outgoing=state.outgoingTransitions(options);outgoing.length>0?queue.push(...outgoing):ret.add(state)}return Array.from(ret)}static filterNextables(states){return states.filter(isNextable)}validateState(){return[]}get id(){return this.node.id}get stateId(){return this.prefixes.concat(this.id).join("")}addPrefix(x){x!==""&&this.prefixes.splice(0,0,x)}bindToGraph(graph){if(jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_StateGraph(graph),this.containingGraph!==graph){if(this.containingGraph)throw new Error(`Trying to use state '${this.stateId}' in ${graph}, but is already in ${this.containingGraph}. Every state can only be used in one graph.`);this.containingGraph=graph,this.whenBoundToGraph(graph);for(const incoming of this.incomingStates)incoming.bindToGraph(graph);for(const outgoing of this.outgoingTransitions({includeErrorHandlers:!0}))outgoing.bindToGraph(graph);for(const branch of this.branches)branch.registerSuperGraph(this.containingGraph);this.iteration&&this.iteration.registerSuperGraph(this.containingGraph)}}_addRetry(props={}){var _b;validateErrors(props.errors),this.retries.push({...props,errors:(_b=props.errors)!==null&&_b!==void 0?_b:[types_1.Errors.ALL]})}_addCatch(handler,props={}){var _b;validateErrors(props.errors),this.catches.push({next:handler,props:{errors:(_b=props.errors)!==null&&_b!==void 0?_b:[types_1.Errors.ALL],resultPath:props.resultPath}}),handler.addIncoming(this),this.containingGraph&&handler.bindToGraph(this.containingGraph)}makeNext(next){if(jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_State(next),this._next)throw new Error(`State '${this.id}' already has a next state`);this._next=next,next.addIncoming(this),this.containingGraph&&next.bindToGraph(this.containingGraph)}addChoice(condition,next){jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_Condition(condition),jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_State(next),this.choices.push({condition,next}),next.startState.addIncoming(this),this.containingGraph&&next.startState.bindToGraph(this.containingGraph)}addBranch(branch){jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_StateGraph(branch),this.branches.push(branch),this.containingGraph&&branch.registerSuperGraph(this.containingGraph)}addIterator(iteration){jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_StateGraph(iteration),this.iteration=iteration,this.containingGraph&&iteration.registerSuperGraph(this.containingGraph)}makeDefault(def){if(jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_State(def),this.defaultChoice)throw new Error(`Choice '${this.id}' already has a default next state`);this.defaultChoice=def}renderNextEnd(){return this._next?{Next:this._next.stateId}:{End:!0}}renderChoices(){var _b;return{Choices:renderList(this.choices,renderChoice),Default:(_b=this.defaultChoice)===null||_b===void 0?void 0:_b.stateId}}renderInputOutput(){return{InputPath:renderJsonPath(this.inputPath),Parameters:this.parameters,OutputPath:renderJsonPath(this.outputPath)}}renderBranches(){return{Branches:this.branches.map(b=>b.toGraphJson())}}renderIterator(){if(!this.iteration)throw new Error("Iterator must not be undefined !");return{Iterator:this.iteration.toGraphJson()}}renderRetryCatch(){return{Retry:renderList(this.retries,renderRetry,(a,b)=>compareErrors(a.errors,b.errors)),Catch:renderList(this.catches,renderCatch,(a,b)=>compareErrors(a.props.errors,b.props.errors))}}renderResultSelector(){return fields_1.FieldUtils.renderObject({ResultSelector:this.resultSelector})}whenBoundToGraph(graph){jsiiDeprecationWarnings.aws_cdk_lib_aws_stepfunctions_StateGraph(graph),graph.registerState(this)}addIncoming(source){this.incomingStates.push(source)}outgoingTransitions(options){const ret=new Array;this._next&&ret.push(this._next),this.defaultChoice&&ret.push(this.defaultChoice);for(const c of this.choices)ret.push(c.next);if(options.includeErrorHandlers)for(const c of this.catches)ret.push(c.next);return ret}}exports.State=State,_a=JSII_RTTI_SYMBOL_1,State[_a]={fqn:"aws-cdk-lib.aws_stepfunctions.State",version:"2.9.0"};function renderChoice(c){return{...c.condition.renderCondition(),Next:c.next.stateId}}function renderRetry(retry){return{ErrorEquals:retry.errors,IntervalSeconds:retry.interval&&retry.interval.toSeconds(),MaxAttempts:retry.maxAttempts,BackoffRate:retry.backoffRate}}function renderCatch(c){return{ErrorEquals:c.props.errors,ResultPath:renderJsonPath(c.props.resultPath),Next:c.next.stateId}}function compareErrors(a,b){return(a==null?void 0:a.includes(types_1.Errors.ALL))?1:(b==null?void 0:b.includes(types_1.Errors.ALL))?-1:0}function validateErrors(errors){if((errors==null?void 0:errors.includes(types_1.Errors.ALL))&&errors.length>1)throw new Error(`${types_1.Errors.ALL} must appear alone in an error list`)}function renderList(xs,mapFn,sortFn){if(xs.length===0)return;let list=xs;return sortFn&&(list=xs.sort(sortFn)),list.map(mapFn)}exports.renderList=renderList;function renderJsonPath(jsonPath){if(jsonPath!==void 0){if(jsonPath===fields_1.JsonPath.DISCARD)return null;if(!jsonPath.startsWith("$"))throw new Error(`Expected JSON path to start with '$', got: ${jsonPath}`);return jsonPath}}exports.renderJsonPath=renderJsonPath;function isPrefixable(x){return typeof x=="object"&&x.addPrefix}function isNextable(x){return typeof x=="object"&&x.next}
//# sourceMappingURL=state.js.map
